Account Invitations
Get account invitation
Get account invitation by ID
GET
/
account-invitations
/
{id}
Get account invitation
curl --request GET \
--url https://cookiechimp.com/api/v1/account-invitations/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://cookiechimp.com/api/v1/account-invitations/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://cookiechimp.com/api/v1/account-invitations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "inv123",
"name": "Grace Hopper",
"email": "newmember@cookiechimp.com",
"invite_url": "https://cookiechimp.com/account_invitations/inv123",
"roles": {
"admin": true
},
"created_at": "2023-01-25T09:30:20Z",
"updated_at": "2023-01-25T09:30:20Z",
"invited_by": {
"id": "usr123",
"name": "Ada Lovelace",
"email": "admin@example.com"
}
}
}{
"errors": [
{
"code": 401,
"message": "API key must belong to an account"
}
]
}{
"errors": [
{
"code": 404,
"message": "Record not found"
}
]
}{
"errors": [
{
"code": 429,
"message": "Too many requests. Please retry later."
}
]
}Authorizations
API token obtained from the login endpoint or the dashboard
Path Parameters
ID of the resource
Response
Account invitation
Show child attributes
Show child attributes
Example:
{ "id": "inv123", "name": "Grace Hopper", "email": "newmember@cookiechimp.com", "invite_url": "https://cookiechimp.com/account_invitations/inv123", "roles": { "admin": true }, "created_at": "2023-01-25T09:30:20Z", "updated_at": "2023-01-25T09:30:20Z", "invited_by": { "id": "usr123", "name": "Ada Lovelace", "email": "admin@example.com" } }
Was this page helpful?
⌘I
Get account invitation
